use crate::config;
use deadpool_diesel::postgres::BuildError;
use lib::diesel::pool::PgPool;

pub(crate) fn create_pool() -> Result<PgPool, BuildError> {
    lib::diesel::pool::create_pool()
        .url(config::DATABASE_URL)
        .size(config::POOL_SIZE)
        .call()
}
